## Apache Zeta Components Manual :: Docs For Class ezcGraphPaletteEz

### Graph::ezcGraphPaletteEz

### Class ezcGraphPaletteEz

Color pallet for ezcGraph based on eZ color scheme

Source for this file: /Graph/src/palette/ez.php

    ezcGraphPalette
       |
       --ezcGraphPaletteEz

Version: | //autogentag//

### Member Variables

protected ezcGraphColor | `$axisColor = '#1E1E1E'` Axiscolor
protected ezcGraphColor | `$chartBackground = '#FFFFFFFF'` Backgroundcolor for chart
protected array | `$dataSetColor = array( '#C60C30', '#C90062', '#E05206', '#F0AB00', '#D4BA00', '#9C9A00', '#3C8A2E', '#006983', '#0098C3', '#21578A', '#55517B', '#4E7D5B', )` Array with colors for datasets
protected array | `$dataSetSymbol = array( ezcGraph::BULLET, )` Array with symbols for datasets
protected ezcGraphColor | `$fontColor = '#1E1E1E'` Fontcolor
protected string | `$fontName = 'sans-serif'` Name of font to use
protected ezcGraphColor | `$majorGridColor = '#D3D7DF'` Color of grid lines
protected integer | `$margin = 0` Margin of elements
protected integer | `$padding = 1` Padding in elements

### Inherited Member Variables

From ezcGraphPalette
protected | `ezcGraphPalette::$chartBorderColor`
protected | `ezcGraphPalette::$chartBorderWidth`
protected | `ezcGraphPalette::$colorIndex`
protected | `ezcGraphPalette::$elementBackground`
protected | `ezcGraphPalette::$elementBorderColor`
protected | `ezcGraphPalette::$elementBorderWidth`
protected | `ezcGraphPalette::$minorGridColor`
protected | `ezcGraphPalette::$symbolIndex`

### Inherited Methods

From ezcGraphPalette
protected ezcGraphColor | `ezcGraphPalette::checkColor()` Ensure value to be a color
public void | `ezcGraphPalette::resetColorCounter()` Manually reset the color counter to use the first color again

Documentation generated by phpDocumentor 1.4.3